# Generated by Django 5.1.3 on 2025-01-04 08:48

import django.core.validators
import django.db.models.deletion
import hitcount.models
import modelcluster.contrib.taggit
import modelcluster.fields
import wagtail.contrib.routable_page.models
import wagtail.fields
import wagtail_color_panel.fields
import wagtailmetadata.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('core', '0001_initial'),
        ('ecom', '0001_initial'),
        ('wagtailcore', '0094_alter_page_locale'),
        ('wagtailimages', '0027_image_description'),
    ]

    operations = [
        migrations.CreateModel(
            name='BlogIndexPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('bannerHeight', models.PositiveIntegerField(default=300, validators=[django.core.validators.MinValueValidator(50), django.core.validators.MaxValueValidator(2000)], verbose_name='Height')),
                ('bannerWidth', models.PositiveIntegerField(default=1400, validators=[django.core.validators.MinValueValidator(150), django.core.validators.MaxValueValidator(2560)], verbose_name='Width')),
                ('bannerTimer', models.PositiveIntegerField(default=3000, verbose_name='Slide Time in ms')),
                ('bannercontent', wagtail.fields.StreamField([('slide', 4)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.URLBlock', (), {'label': 'External Link', 'required': False}), 3: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal Link', 'required': False}), 4: ('wagtail.blocks.StructBlock', [[('image', 0), ('title', 1), ('link', 2), ('page', 3)]], {})}, null=True, verbose_name='Content')),
                ('intro', wagtail.fields.RichTextField(blank=True)),
                ('show_footer', models.BooleanField(blank=True, default=True, null=True)),
                ('menuName', models.CharField(blank=True, max_length=100, null=True, verbose_name='Menu Name')),
                ('menuImageText', models.CharField(blank=True, max_length=250, null=True, verbose_name='Icon Text')),
                ('search_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Search image')),
            ],
            options={
                'abstract': False,
            },
            bases=(wagtailmetadata.models.WagtailImageMetadataMixin, 'wagtailcore.page', models.Model),
        ),
        migrations.CreateModel(
            name='BlogPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('bannerHeight', models.PositiveIntegerField(default=300, validators=[django.core.validators.MinValueValidator(50), django.core.validators.MaxValueValidator(2000)], verbose_name='Height')),
                ('bannerWidth', models.PositiveIntegerField(default=1400, validators=[django.core.validators.MinValueValidator(150), django.core.validators.MaxValueValidator(2560)], verbose_name='Width')),
                ('bannerTimer', models.PositiveIntegerField(default=3000, verbose_name='Slide Time in ms')),
                ('bannercontent', wagtail.fields.StreamField([('slide', 4)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.URLBlock', (), {'label': 'External Link', 'required': False}), 3: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal Link', 'required': False}), 4: ('wagtail.blocks.StructBlock', [[('image', 0), ('title', 1), ('link', 2), ('page', 3)]], {})}, null=True, verbose_name='Content')),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG')),
                ('hoverBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Hover BG')),
                ('hoverFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Hover FG')),
                ('activeBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Active BG')),
                ('activeFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Active FG')),
                ('customTitle', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Custom Title')),
                ('highlights', wagtail.fields.StreamField([('title', 3), ('body', 7)], blank=True, block_lookup={0: ('wagtail.blocks.CharBlock', (), {}), 1: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 2: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 3: ('wagtail.blocks.StructBlock', [[('title', 0), ('alignment', 1), ('size', 2)]], {'required': False}), 4: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#CC0C39', 'required': False}), 5: ('wagtail.blocks.ListBlock', (0,), {}), 6: ('wagtail.blocks.StructBlock', [[('color', 4), ('list', 5)]], {}), 7: ('wagtail.blocks.StreamBlock', [[('content', 6)]], {})}, null=True)),
                ('shortDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Short Description')),
                ('body', wagtail.fields.StreamField([('section', 41), ('row', 51)], blank=True, block_lookup={0: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'BG Color'}), 1: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'FG Color'}), 2: ('wagtail.blocks.CharBlock', (), {'required': False}), 3: ('wagtail.blocks.CharBlock', (), {}), 4: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 5: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 6: ('wagtail.blocks.StructBlock', [[('title', 3), ('alignment', 4), ('size', 5)]], {'required': False}), 7: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'BG Color', 'required': False}), 8: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'One Color', 'required': False}), 9: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'Two Color', 'required': False}), 10: ('wagtail.blocks.StructBlock', [[('oneColor', 8), ('twoColor', 9)]], {}), 11: ('wagtail.blocks.DecimalBlock', (), {'default': 100, 'label': 'Width (px)'}), 12: ('wagtail.blocks.DecimalBlock', (), {'default': 4, 'label': 'Thickness (px)'}), 13: ('wagtail.blocks.DecimalBlock', (), {'default': 0, 'label': 'Top (px)'}), 14: ('wagtail.blocks.DecimalBlock', (), {'default': 8, 'label': 'Bottom (px)'}), 15: ('wagtail.blocks.StructBlock', [[('top', 13), ('bottom', 14)]], {}), 16: ('wagtail.blocks.StructBlock', [[('color', 7), ('double_color', 10), ('gradient', 2), ('width', 11), ('thickness', 12), ('margin', 15)]], {'required': False}), 17: ('wagtail.blocks.CharBlock', (), {'label': 'Line Break', 'readOnly': True, 'required': False}), 18: ('wagtail.blocks.StructBlock', [[('line_break', 17)]], {'required': False}), 19: ('wagtail.blocks.URLBlock', (), {'label': 'URL', 'required': False}), 20: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Link to a page', 'required': False}), 21: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'BG Color', 'required': False}), 22: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'FG Color', 'required': False}), 23: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'Hover BG Color', 'required': False}), 24: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'Hover FG Color', 'required': False}), 25: ('wagtail.blocks.DecimalBlock', (), {'default': 8, 'label': 'Top (px)'}), 26: ('wagtail.blocks.DecimalBlock', (), {'default': 10, 'label': 'Bottom (px)'}), 27: ('wagtail.blocks.StructBlock', [[('top', 25), ('bottom', 26)]], {}), 28: ('wagtail.blocks.StructBlock', [[('title', 3), ('link', 19), ('page', 20), ('bgColor', 21), ('fgColor', 22), ('hoverBgColor', 23), ('hoverFgColor', 24), ('margin', 27)]], {'required': False}), 29: ('wagtail.blocks.RichTextBlock', (), {}), 30: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'label': 'Line Spacing', 'required': False}), 31: ('wagtail.blocks.StructBlock', [[('text', 29), ('alignment', 4), ('size', 5), ('line_space', 30)]], {'required': False}), 32: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': False}), 33: ('wagtail.blocks.BlockQuoteBlock', (), {}), 34: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'required': False}), 35: ('wagtail.blocks.StructBlock', [[('quote', 33), ('alignment', 4), ('size', 5), ('line_space', 34)]], {'required': False}), 36: ('wagtail.embeds.blocks.EmbedBlock', (), {'label': 'Video', 'required': False}), 37: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('css', 'CSS'), ('html', 'HTML')], 'help_text': 'Coding language', 'identifier': 'language', 'label': 'Language'}), 38: ('wagtail.blocks.TextBlock', (), {'identifier': 'code', 'label': 'Code'}), 39: ('wagtail.blocks.StructBlock', [[('language', 37), ('code', 38)]], {'default_language': 'python', 'label': 'Code'}), 40: ('wagtail.blocks.StreamBlock', [[('heading', 6), ('hr_line', 16), ('line_break', 18), ('cta', 28), ('paragraph', 31), ('image', 32), ('quote', 35), ('embed', 36), ('code', 39)]], {'required': False}), 41: ('wagtail.blocks.StructBlock', [[('bgColor', 0), ('fgColor', 1), ('title', 2), ('content', 40)]], {}), 42: ('wagtail.embeds.blocks.EmbedBlock', (), {'label': 'Video', 'max_height': 400, 'max_width': 800}), 43: ('wagtail.blocks.StructBlock', [[('language', 37), ('code', 38)]], {'label': 'Code'}), 44: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'BG Color'}), 45: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'FG Color'}), 46: ('wagtail.blocks.StreamBlock', [[('heading', 6), ('hr_line', 16), ('line_break', 18), ('paragraph', 31), ('cta', 28), ('image', 32), ('quote', 35), ('embed', 42), ('code', 43)]], {'required': False}), 47: ('wagtail.blocks.StreamBlock', [[('column', 46)]], {}), 48: ('wagtail.blocks.StructBlock', [[('bgColor', 44), ('fgColor', 45), ('title', 2), ('content', 47)]], {'required': False}), 49: ('wagtail.blocks.StreamBlock', [[('heading', 6), ('hr_line', 16), ('line_break', 18), ('paragraph', 31), ('cta', 28), ('image', 32), ('quote', 35), ('embed', 42), ('code', 43), ('sub_row', 48)]], {'required': False}), 50: ('wagtail.blocks.StreamBlock', [[('column', 49)]], {'required': False}), 51: ('wagtail.blocks.StructBlock', [[('bgColor', 0), ('fgColor', 1), ('title', 2), ('content', 50)]], {})}, null=True)),
                ('show_author', models.BooleanField(blank=True, default=True, null=True)),
                ('srcTitle', models.CharField(blank=True, max_length=150, null=True, verbose_name='Title')),
                ('srcURL', models.URLField(blank=True, null=True, verbose_name='URL')),
                ('readTime', models.IntegerField(blank=True, default=2, null=True, verbose_name='Read Time (minutes)')),
                ('cat', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='blogs', to='ecom.category', verbose_name='Category')),
                ('search_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Search image')),
            ],
            options={
                'verbose_name': 'Blog',
            },
            bases=(wagtailmetadata.models.WagtailImageMetadataMixin, 'wagtailcore.page', models.Model, hitcount.models.HitCountMixin),
        ),
        migrations.CreateModel(
            name='BlogAppItems',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('item', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='ecom.appitems')),
                ('blog', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='blog_app_items', to='blogs.blogpage')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='BlogPageTag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_items', to='blogs.blogpage')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_blogs', to='core.customtag')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='blogpage',
            name='tags',
            field=modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text='A comma-separated list of tags.', through='blogs.BlogPageTag', to='core.CustomTag', verbose_name='Tags'),
        ),
        migrations.CreateModel(
            name='BlogProduct',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('blog', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='blog_product', to='blogs.blogpage')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ecom.productpage', verbose_name='')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='BlogSocial',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('url', models.URLField(blank=True, null=True)),
                ('blog', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='blog_social', to='blogs.blogpage')),
                ('slp', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='core.socialplatform', verbose_name='Social Platform')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='NewsIndexPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('bannerHeight', models.PositiveIntegerField(default=300, validators=[django.core.validators.MinValueValidator(50), django.core.validators.MaxValueValidator(2000)], verbose_name='Height')),
                ('bannerWidth', models.PositiveIntegerField(default=1400, validators=[django.core.validators.MinValueValidator(150), django.core.validators.MaxValueValidator(2560)], verbose_name='Width')),
                ('bannerTimer', models.PositiveIntegerField(default=3000, verbose_name='Slide Time in ms')),
                ('bannercontent', wagtail.fields.StreamField([('slide', 4)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.URLBlock', (), {'label': 'External Link', 'required': False}), 3: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal Link', 'required': False}), 4: ('wagtail.blocks.StructBlock', [[('image', 0), ('title', 1), ('link', 2), ('page', 3)]], {})}, null=True, verbose_name='Content')),
                ('intro', wagtail.fields.RichTextField(blank=True)),
                ('show_footer', models.BooleanField(blank=True, default=True, null=True)),
                ('menuName', models.CharField(blank=True, max_length=100, null=True, verbose_name='Menu Name')),
                ('menuImageText', models.CharField(blank=True, max_length=250, null=True, verbose_name='Icon Text')),
                ('search_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Search image')),
            ],
            options={
                'abstract': False,
            },
            bases=(wagtailmetadata.models.WagtailImageMetadataMixin, 'wagtailcore.page', models.Model),
        ),
        migrations.CreateModel(
            name='NewsPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('bannerHeight', models.PositiveIntegerField(default=300, validators=[django.core.validators.MinValueValidator(50), django.core.validators.MaxValueValidator(2000)], verbose_name='Height')),
                ('bannerWidth', models.PositiveIntegerField(default=1400, validators=[django.core.validators.MinValueValidator(150), django.core.validators.MaxValueValidator(2560)], verbose_name='Width')),
                ('bannerTimer', models.PositiveIntegerField(default=3000, verbose_name='Slide Time in ms')),
                ('bannercontent', wagtail.fields.StreamField([('slide', 4)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.URLBlock', (), {'label': 'External Link', 'required': False}), 3: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal Link', 'required': False}), 4: ('wagtail.blocks.StructBlock', [[('image', 0), ('title', 1), ('link', 2), ('page', 3)]], {})}, null=True, verbose_name='Content')),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG')),
                ('hoverBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Hover BG')),
                ('hoverFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Hover FG')),
                ('activeBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Active BG')),
                ('activeFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Active FG')),
                ('customTitle', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Custom Title')),
                ('srcTitle', models.CharField(blank=True, max_length=150, null=True, verbose_name='Title')),
                ('srcURL', models.URLField(blank=True, null=True, verbose_name='URL')),
                ('show_author', models.BooleanField(blank=True, default=False, null=True)),
                ('readTime', models.IntegerField(blank=True, default=2, null=True, verbose_name='Read Time (minutes)')),
                ('rtColor', wagtail_color_panel.fields.ColorField(blank=True, default='#23A10F', max_length=7, null=True, verbose_name='FG')),
                ('shortDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Short Description')),
                ('body', wagtail.fields.StreamField([('section', 41), ('row', 51)], blank=True, block_lookup={0: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'BG Color'}), 1: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'FG Color'}), 2: ('wagtail.blocks.CharBlock', (), {'required': False}), 3: ('wagtail.blocks.CharBlock', (), {}), 4: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 5: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 6: ('wagtail.blocks.StructBlock', [[('title', 3), ('alignment', 4), ('size', 5)]], {'required': False}), 7: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'BG Color', 'required': False}), 8: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'One Color', 'required': False}), 9: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'Two Color', 'required': False}), 10: ('wagtail.blocks.StructBlock', [[('oneColor', 8), ('twoColor', 9)]], {}), 11: ('wagtail.blocks.DecimalBlock', (), {'default': 100, 'label': 'Width (px)'}), 12: ('wagtail.blocks.DecimalBlock', (), {'default': 4, 'label': 'Thickness (px)'}), 13: ('wagtail.blocks.DecimalBlock', (), {'default': 0, 'label': 'Top (px)'}), 14: ('wagtail.blocks.DecimalBlock', (), {'default': 8, 'label': 'Bottom (px)'}), 15: ('wagtail.blocks.StructBlock', [[('top', 13), ('bottom', 14)]], {}), 16: ('wagtail.blocks.StructBlock', [[('color', 7), ('double_color', 10), ('gradient', 2), ('width', 11), ('thickness', 12), ('margin', 15)]], {'required': False}), 17: ('wagtail.blocks.CharBlock', (), {'label': 'Line Break', 'readOnly': True, 'required': False}), 18: ('wagtail.blocks.StructBlock', [[('line_break', 17)]], {'required': False}), 19: ('wagtail.blocks.URLBlock', (), {'label': 'URL', 'required': False}), 20: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Link to a page', 'required': False}), 21: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'BG Color', 'required': False}), 22: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'FG Color', 'required': False}), 23: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'Hover BG Color', 'required': False}), 24: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'Hover FG Color', 'required': False}), 25: ('wagtail.blocks.DecimalBlock', (), {'default': 8, 'label': 'Top (px)'}), 26: ('wagtail.blocks.DecimalBlock', (), {'default': 10, 'label': 'Bottom (px)'}), 27: ('wagtail.blocks.StructBlock', [[('top', 25), ('bottom', 26)]], {}), 28: ('wagtail.blocks.StructBlock', [[('title', 3), ('link', 19), ('page', 20), ('bgColor', 21), ('fgColor', 22), ('hoverBgColor', 23), ('hoverFgColor', 24), ('margin', 27)]], {'required': False}), 29: ('wagtail.blocks.RichTextBlock', (), {}), 30: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'label': 'Line Spacing', 'required': False}), 31: ('wagtail.blocks.StructBlock', [[('text', 29), ('alignment', 4), ('size', 5), ('line_space', 30)]], {'required': False}), 32: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': False}), 33: ('wagtail.blocks.BlockQuoteBlock', (), {}), 34: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'required': False}), 35: ('wagtail.blocks.StructBlock', [[('quote', 33), ('alignment', 4), ('size', 5), ('line_space', 34)]], {'required': False}), 36: ('wagtail.embeds.blocks.EmbedBlock', (), {'label': 'Video', 'required': False}), 37: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('css', 'CSS'), ('html', 'HTML')], 'help_text': 'Coding language', 'identifier': 'language', 'label': 'Language'}), 38: ('wagtail.blocks.TextBlock', (), {'identifier': 'code', 'label': 'Code'}), 39: ('wagtail.blocks.StructBlock', [[('language', 37), ('code', 38)]], {'default_language': 'python', 'label': 'Code'}), 40: ('wagtail.blocks.StreamBlock', [[('heading', 6), ('hr_line', 16), ('line_break', 18), ('cta', 28), ('paragraph', 31), ('image', 32), ('quote', 35), ('embed', 36), ('code', 39)]], {'required': False}), 41: ('wagtail.blocks.StructBlock', [[('bgColor', 0), ('fgColor', 1), ('title', 2), ('content', 40)]], {}), 42: ('wagtail.embeds.blocks.EmbedBlock', (), {'label': 'Video', 'max_height': 400, 'max_width': 800}), 43: ('wagtail.blocks.StructBlock', [[('language', 37), ('code', 38)]], {'label': 'Code'}), 44: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'BG Color'}), 45: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'FG Color'}), 46: ('wagtail.blocks.StreamBlock', [[('heading', 6), ('hr_line', 16), ('line_break', 18), ('paragraph', 31), ('cta', 28), ('image', 32), ('quote', 35), ('embed', 42), ('code', 43)]], {'required': False}), 47: ('wagtail.blocks.StreamBlock', [[('column', 46)]], {}), 48: ('wagtail.blocks.StructBlock', [[('bgColor', 44), ('fgColor', 45), ('title', 2), ('content', 47)]], {'required': False}), 49: ('wagtail.blocks.StreamBlock', [[('heading', 6), ('hr_line', 16), ('line_break', 18), ('paragraph', 31), ('cta', 28), ('image', 32), ('quote', 35), ('embed', 42), ('code', 43), ('sub_row', 48)]], {'required': False}), 50: ('wagtail.blocks.StreamBlock', [[('column', 49)]], {'required': False}), 51: ('wagtail.blocks.StructBlock', [[('bgColor', 0), ('fgColor', 1), ('title', 2), ('content', 50)]], {})}, null=True)),
                ('highlights', wagtail.fields.StreamField([('title', 3), ('body', 7)], blank=True, block_lookup={0: ('wagtail.blocks.CharBlock', (), {}), 1: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 2: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 3: ('wagtail.blocks.StructBlock', [[('title', 0), ('alignment', 1), ('size', 2)]], {'required': False}), 4: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#CC0C39', 'required': False}), 5: ('wagtail.blocks.ListBlock', (0,), {}), 6: ('wagtail.blocks.StructBlock', [[('color', 4), ('list', 5)]], {}), 7: ('wagtail.blocks.StreamBlock', [[('content', 6)]], {})}, null=True)),
                ('cat', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='cat_news', to='ecom.category', verbose_name='Category')),
                ('product', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='pr_news', to='ecom.productpage', verbose_name='Product')),
                ('search_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Search image')),
            ],
            options={
                'verbose_name': 'News',
            },
            bases=(wagtailmetadata.models.WagtailImageMetadataMixin, 'wagtailcore.page', models.Model, hitcount.models.HitCountMixin),
        ),
        migrations.CreateModel(
            name='NewsAppItems',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('item', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='ecom.appitems')),
                ('blog', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='news_app_items', to='blogs.newspage')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='NewsPageTag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_items', to='blogs.newspage')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_news', to='core.customtag')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='newspage',
            name='tags',
            field=modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text='A comma-separated list of tags.', through='blogs.NewsPageTag', to='core.CustomTag', verbose_name='Tags'),
        ),
        migrations.CreateModel(
            name='NewsProduct',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('news', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='news_products', to='blogs.newspage')),
                ('product', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='ecom.productpage')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='NewsSocial',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('url', models.URLField(blank=True, null=True)),
                ('news', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='news_social', to='blogs.newspage')),
                ('slp', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='core.socialplatform', verbose_name='Social Platform')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TutorialIndexPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('bannerHeight', models.PositiveIntegerField(default=300, validators=[django.core.validators.MinValueValidator(50), django.core.validators.MaxValueValidator(2000)], verbose_name='Height')),
                ('bannerWidth', models.PositiveIntegerField(default=1400, validators=[django.core.validators.MinValueValidator(150), django.core.validators.MaxValueValidator(2560)], verbose_name='Width')),
                ('bannerTimer', models.PositiveIntegerField(default=3000, verbose_name='Slide Time in ms')),
                ('bannercontent', wagtail.fields.StreamField([('slide', 4)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.URLBlock', (), {'label': 'External Link', 'required': False}), 3: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal Link', 'required': False}), 4: ('wagtail.blocks.StructBlock', [[('image', 0), ('title', 1), ('link', 2), ('page', 3)]], {})}, null=True, verbose_name='Content')),
                ('intro', wagtail.fields.RichTextField(blank=True)),
                ('show_footer', models.BooleanField(blank=True, default=True, null=True)),
                ('menuName', models.CharField(blank=True, max_length=100, null=True, verbose_name='Menu Name')),
                ('menuImageText', models.CharField(blank=True, max_length=250, null=True, verbose_name='Icon Text')),
                ('search_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Search image')),
            ],
            options={
                'abstract': False,
            },
            bases=(wagtailmetadata.models.WagtailImageMetadataMixin, 'wagtailcore.page', models.Model),
        ),
        migrations.CreateModel(
            name='TutorialPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('bannerHeight', models.PositiveIntegerField(default=300, validators=[django.core.validators.MinValueValidator(50), django.core.validators.MaxValueValidator(2000)], verbose_name='Height')),
                ('bannerWidth', models.PositiveIntegerField(default=1400, validators=[django.core.validators.MinValueValidator(150), django.core.validators.MaxValueValidator(2560)], verbose_name='Width')),
                ('bannerTimer', models.PositiveIntegerField(default=3000, verbose_name='Slide Time in ms')),
                ('bannercontent', wagtail.fields.StreamField([('slide', 4)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.URLBlock', (), {'label': 'External Link', 'required': False}), 3: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal Link', 'required': False}), 4: ('wagtail.blocks.StructBlock', [[('image', 0), ('title', 1), ('link', 2), ('page', 3)]], {})}, null=True, verbose_name='Content')),
                ('customTitle', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Custom Title')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG')),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG')),
                ('bgGradient', models.TextField(blank=True, null=True, verbose_name='BG Gradient')),
                ('srcTitle', models.CharField(blank=True, max_length=150, null=True, verbose_name='Title')),
                ('srcURL', models.URLField(blank=True, null=True, verbose_name='URL')),
                ('show_author', models.BooleanField(blank=True, default=False, null=True)),
                ('readTime', models.IntegerField(blank=True, default=2, null=True, verbose_name='Read Time (minutes)')),
                ('rtColor', wagtail_color_panel.fields.ColorField(blank=True, default='#23A10F', max_length=7, null=True, verbose_name='FG')),
                ('shortDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Short Description')),
                ('body', wagtail.fields.StreamField([('section', 41), ('row', 51)], blank=True, block_lookup={0: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'BG Color'}), 1: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'FG Color'}), 2: ('wagtail.blocks.CharBlock', (), {'required': False}), 3: ('wagtail.blocks.CharBlock', (), {}), 4: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 5: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 6: ('wagtail.blocks.StructBlock', [[('title', 3), ('alignment', 4), ('size', 5)]], {'required': False}), 7: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'BG Color', 'required': False}), 8: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'One Color', 'required': False}), 9: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'Two Color', 'required': False}), 10: ('wagtail.blocks.StructBlock', [[('oneColor', 8), ('twoColor', 9)]], {}), 11: ('wagtail.blocks.DecimalBlock', (), {'default': 100, 'label': 'Width (px)'}), 12: ('wagtail.blocks.DecimalBlock', (), {'default': 4, 'label': 'Thickness (px)'}), 13: ('wagtail.blocks.DecimalBlock', (), {'default': 0, 'label': 'Top (px)'}), 14: ('wagtail.blocks.DecimalBlock', (), {'default': 8, 'label': 'Bottom (px)'}), 15: ('wagtail.blocks.StructBlock', [[('top', 13), ('bottom', 14)]], {}), 16: ('wagtail.blocks.StructBlock', [[('color', 7), ('double_color', 10), ('gradient', 2), ('width', 11), ('thickness', 12), ('margin', 15)]], {'required': False}), 17: ('wagtail.blocks.CharBlock', (), {'label': 'Line Break', 'readOnly': True, 'required': False}), 18: ('wagtail.blocks.StructBlock', [[('line_break', 17)]], {'required': False}), 19: ('wagtail.blocks.URLBlock', (), {'label': 'URL', 'required': False}), 20: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Link to a page', 'required': False}), 21: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'BG Color', 'required': False}), 22: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'FG Color', 'required': False}), 23: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'Hover BG Color', 'required': False}), 24: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'Hover FG Color', 'required': False}), 25: ('wagtail.blocks.DecimalBlock', (), {'default': 8, 'label': 'Top (px)'}), 26: ('wagtail.blocks.DecimalBlock', (), {'default': 10, 'label': 'Bottom (px)'}), 27: ('wagtail.blocks.StructBlock', [[('top', 25), ('bottom', 26)]], {}), 28: ('wagtail.blocks.StructBlock', [[('title', 3), ('link', 19), ('page', 20), ('bgColor', 21), ('fgColor', 22), ('hoverBgColor', 23), ('hoverFgColor', 24), ('margin', 27)]], {'required': False}), 29: ('wagtail.blocks.RichTextBlock', (), {}), 30: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'label': 'Line Spacing', 'required': False}), 31: ('wagtail.blocks.StructBlock', [[('text', 29), ('alignment', 4), ('size', 5), ('line_space', 30)]], {'required': False}), 32: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': False}), 33: ('wagtail.blocks.BlockQuoteBlock', (), {}), 34: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'required': False}), 35: ('wagtail.blocks.StructBlock', [[('quote', 33), ('alignment', 4), ('size', 5), ('line_space', 34)]], {'required': False}), 36: ('wagtail.embeds.blocks.EmbedBlock', (), {'label': 'Video', 'required': False}), 37: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('css', 'CSS'), ('html', 'HTML')], 'help_text': 'Coding language', 'identifier': 'language', 'label': 'Language'}), 38: ('wagtail.blocks.TextBlock', (), {'identifier': 'code', 'label': 'Code'}), 39: ('wagtail.blocks.StructBlock', [[('language', 37), ('code', 38)]], {'default_language': 'python', 'label': 'Code'}), 40: ('wagtail.blocks.StreamBlock', [[('heading', 6), ('hr_line', 16), ('line_break', 18), ('cta', 28), ('paragraph', 31), ('image', 32), ('quote', 35), ('embed', 36), ('code', 39)]], {'required': False}), 41: ('wagtail.blocks.StructBlock', [[('bgColor', 0), ('fgColor', 1), ('title', 2), ('content', 40)]], {}), 42: ('wagtail.embeds.blocks.EmbedBlock', (), {'label': 'Video', 'max_height': 400, 'max_width': 800}), 43: ('wagtail.blocks.StructBlock', [[('language', 37), ('code', 38)]], {'label': 'Code'}), 44: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'BG Color'}), 45: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'FG Color'}), 46: ('wagtail.blocks.StreamBlock', [[('heading', 6), ('hr_line', 16), ('line_break', 18), ('paragraph', 31), ('cta', 28), ('image', 32), ('quote', 35), ('embed', 42), ('code', 43)]], {'required': False}), 47: ('wagtail.blocks.StreamBlock', [[('column', 46)]], {}), 48: ('wagtail.blocks.StructBlock', [[('bgColor', 44), ('fgColor', 45), ('title', 2), ('content', 47)]], {'required': False}), 49: ('wagtail.blocks.StreamBlock', [[('heading', 6), ('hr_line', 16), ('line_break', 18), ('paragraph', 31), ('cta', 28), ('image', 32), ('quote', 35), ('embed', 42), ('code', 43), ('sub_row', 48)]], {'required': False}), 50: ('wagtail.blocks.StreamBlock', [[('column', 49)]], {'required': False}), 51: ('wagtail.blocks.StructBlock', [[('bgColor', 0), ('fgColor', 1), ('title', 2), ('content', 50)]], {})}, null=True)),
                ('highlights', wagtail.fields.StreamField([('title', 3), ('body', 7)], blank=True, block_lookup={0: ('wagtail.blocks.CharBlock', (), {}), 1: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 2: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 3: ('wagtail.blocks.StructBlock', [[('title', 0), ('alignment', 1), ('size', 2)]], {'required': False}), 4: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#CC0C39', 'required': False}), 5: ('wagtail.blocks.ListBlock', (0,), {}), 6: ('wagtail.blocks.StructBlock', [[('color', 4), ('list', 5)]], {}), 7: ('wagtail.blocks.StreamBlock', [[('content', 6)]], {})}, null=True)),
                ('bgImage', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='BG Image')),
                ('cat', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='cat_tutorials', to='ecom.category', verbose_name='Category')),
                ('search_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Search image')),
            ],
            options={
                'verbose_name': 'Tutorial',
            },
            bases=(wagtailmetadata.models.WagtailImageMetadataMixin, 'wagtailcore.page', models.Model, hitcount.models.HitCountMixin),
        ),
        migrations.CreateModel(
            name='TutorialAppItems',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('item', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='ecom.appitems')),
                ('blog', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='tutorial_app_items', to='blogs.tutorialpage')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TutorialPageTag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_items', to='blogs.tutorialpage')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_tutorial', to='core.customtag')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='tutorialpage',
            name='tags',
            field=modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text='A comma-separated list of tags.', through='blogs.TutorialPageTag', to='core.CustomTag', verbose_name='Tags'),
        ),
        migrations.CreateModel(
            name='TutorialSocial',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('url', models.URLField(blank=True, null=True)),
                ('slp', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='core.socialplatform', verbose_name='Social Platform')),
                ('tutorial', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='tutorial_social', to='blogs.tutorialpage')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='WebPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('bannerHeight', models.PositiveIntegerField(default=300, validators=[django.core.validators.MinValueValidator(50), django.core.validators.MaxValueValidator(2000)], verbose_name='Height')),
                ('bannerWidth', models.PositiveIntegerField(default=1400, validators=[django.core.validators.MinValueValidator(150), django.core.validators.MaxValueValidator(2560)], verbose_name='Width')),
                ('bannerTimer', models.PositiveIntegerField(default=3000, verbose_name='Slide Time in ms')),
                ('bannercontent', wagtail.fields.StreamField([('slide', 4)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.URLBlock', (), {'label': 'External Link', 'required': False}), 3: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal Link', 'required': False}), 4: ('wagtail.blocks.StructBlock', [[('image', 0), ('title', 1), ('link', 2), ('page', 3)]], {})}, null=True, verbose_name='Content')),
                ('shortDesc', wagtail.fields.RichTextField(blank=True, null=True)),
                ('menuName', models.CharField(blank=True, max_length=100, null=True, verbose_name='Menu Name')),
                ('menuImageText', models.CharField(blank=True, max_length=250, null=True, verbose_name='Menu Icon Text')),
                ('body', wagtail.fields.StreamField([('section', 50), ('row', 65)], blank=True, block_lookup={0: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'BG Color'}), 1: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'FG Color'}), 2: ('wagtail.blocks.CharBlock', (), {'required': False}), 3: ('wagtail.blocks.CharBlock', (), {}), 4: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 5: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 6: ('wagtail.blocks.StructBlock', [[('title', 3), ('alignment', 4), ('size', 5)]], {'required': False}), 7: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'BG Color', 'required': False}), 8: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'One Color', 'required': False}), 9: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '', 'label': 'Two Color', 'required': False}), 10: ('wagtail.blocks.StructBlock', [[('oneColor', 8), ('twoColor', 9)]], {}), 11: ('wagtail.blocks.DecimalBlock', (), {'default': 100, 'label': 'Width (px)'}), 12: ('wagtail.blocks.DecimalBlock', (), {'default': 4, 'label': 'Thickness (px)'}), 13: ('wagtail.blocks.DecimalBlock', (), {'default': 0, 'label': 'Top (px)'}), 14: ('wagtail.blocks.DecimalBlock', (), {'default': 8, 'label': 'Bottom (px)'}), 15: ('wagtail.blocks.StructBlock', [[('top', 13), ('bottom', 14)]], {}), 16: ('wagtail.blocks.StructBlock', [[('color', 7), ('double_color', 10), ('gradient', 2), ('width', 11), ('thickness', 12), ('margin', 15)]], {'required': False}), 17: ('wagtail.blocks.CharBlock', (), {'label': 'Line Break', 'readOnly': True, 'required': False}), 18: ('wagtail.blocks.StructBlock', [[('line_break', 17)]], {'required': False}), 19: ('wagtail.blocks.URLBlock', (), {'label': 'URL', 'required': False}), 20: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Link to a page', 'required': False}), 21: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'BG Color', 'required': False}), 22: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'FG Color', 'required': False}), 23: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'Hover BG Color', 'required': False}), 24: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'Hover FG Color', 'required': False}), 25: ('wagtail.blocks.DecimalBlock', (), {'default': 8, 'label': 'Top (px)'}), 26: ('wagtail.blocks.DecimalBlock', (), {'default': 10, 'label': 'Bottom (px)'}), 27: ('wagtail.blocks.StructBlock', [[('top', 25), ('bottom', 26)]], {}), 28: ('wagtail.blocks.StructBlock', [[('title', 3), ('link', 19), ('page', 20), ('bgColor', 21), ('fgColor', 22), ('hoverBgColor', 23), ('hoverFgColor', 24), ('margin', 27)]], {'required': False}), 29: ('wagtail.blocks.RichTextBlock', (), {}), 30: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'label': 'Line Spacing', 'required': False}), 31: ('wagtail.blocks.StructBlock', [[('text', 29), ('alignment', 4), ('size', 5), ('line_space', 30)]], {'required': False}), 32: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': False}), 33: ('wagtail.blocks.PageChooserBlock', ('ecom.CategoryPage',), {}), 34: ('wagtail.blocks.StructBlock', [[('category', 33), ('label', 2)]], {'required': False}), 35: ('wagtail.blocks.StreamBlock', [[('category', 34)]], {'required': False}), 36: ('wagtail.blocks.PageChooserBlock', ('blogs.NewsPage',), {'required': False}), 37: ('wagtail.blocks.StreamBlock', [[('page', 36)]], {'required': False}), 38: ('wagtail.blocks.PageChooserBlock', ('ecom.ProductPage',), {}), 39: ('wagtail.blocks.StreamBlock', [[('product', 38)]], {'required': False}), 40: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('Round', 'Round'), ('Normal', 'Normal')]}), 41: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'Tile BG Color'}), 42: ('wagtail.blocks.PageChooserBlock', (), {'required': False}), 43: ('wagtail.blocks.StructBlock', [[('tileBgColor', 41), ('image', 32), ('label', 2), ('title', 2), ('page', 42)]], {}), 44: ('wagtail.blocks.StreamBlock', [[('tile', 43)]], {'required': False}), 45: ('wagtail.blocks.StructBlock', [[('tile_Type', 40), ('tile_View', 44)]], {'required': False}), 46: ('wagtail.blocks.BlockQuoteBlock', (), {}), 47: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'required': False}), 48: ('wagtail.blocks.StructBlock', [[('quote', 46), ('alignment', 4), ('size', 5), ('line_space', 47)]], {'required': False}), 49: ('wagtail.blocks.StreamBlock', [[('heading', 6), ('hr_line', 16), ('line_break', 18), ('cta', 28), ('paragraph', 31), ('image', 32), ('categories', 35), ('news', 37), ('products', 39), ('tile_View', 45), ('quote', 48)]], {'required': False}), 50: ('wagtail.blocks.StructBlock', [[('bgColor', 0), ('fgColor', 1), ('title', 2), ('content', 49)]], {}), 51: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'core.social'}), 52: ('wagtail.blocks.StreamBlock', [[('social_link', 51)]], {'required': False}), 53: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'core.companyinfo'}), 54: ('wagtail.blocks.StreamBlock', [[('info', 53)]], {'required': False}), 55: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'core.compolicy'}), 56: ('wagtail.blocks.PageChooserBlock', (), {}), 57: ('wagtail.blocks.BooleanBlock', (), {'label': 'Show Enquiry Form', 'required': False}), 58: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'BG Color'}), 59: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'FG Color'}), 60: ('wagtail.blocks.StreamBlock', [[('heading', 6), ('hr_line', 16), ('line_break', 18), ('paragraph', 31), ('cta', 28), ('image', 32), ('quote', 48), ('social', 52), ('company', 54), ('policy', 55), ('category', 34), ('product', 38), ('page', 56), ('tile', 56), ('tile_View', 44), ('show_enq_form', 57)]], {'required': False}), 61: ('wagtail.blocks.StreamBlock', [[('column', 60)]], {}), 62: ('wagtail.blocks.StructBlock', [[('bgColor', 58), ('fgColor', 59), ('title', 2), ('content', 61)]], {'required': False}), 63: ('wagtail.blocks.StreamBlock', [[('heading', 6), ('hr_line', 16), ('line_break', 18), ('paragraph', 31), ('cta', 28), ('image', 32), ('quote', 48), ('social', 52), ('company', 54), ('policy', 55), ('category', 34), ('product', 38), ('page', 56), ('tile', 56), ('tile_View', 44), ('show_enq_form', 57), ('sub_row', 62)]], {'required': False}), 64: ('wagtail.blocks.StreamBlock', [[('column', 63)]], {'required': False}), 65: ('wagtail.blocks.StructBlock', [[('bgColor', 0), ('fgColor', 1), ('title', 2), ('content', 64)]], {})}, null=True)),
                ('show_footer', models.BooleanField(blank=True, default=False, null=True)),
                ('search_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Search image')),
            ],
            options={
                'abstract': False,
            },
            bases=(wagtail.contrib.routable_page.models.RoutablePageMixin, wagtailmetadata.models.WagtailImageMetadataMixin, hitcount.models.HitCountMixin, 'wagtailcore.page', models.Model),
        ),
    ]
